# English Version

<a href="https://colab.research.google.com/github/AlexRossmann/machine-learning-services/blob/main/Marketing/Generation%20of%20Individual%20Playlists/notebook.ipynb"><img src="https://colab.research.google.com/assets/colab-badge.svg" alt="Open Notebook In Google Colab"/></a>  



## Business Understanding
  
__Corporation__: Spotify  
__Industry__: music  
__Area of application__: Algorithms  
__Description__: The Spotify company wants to use AI to pursue key potentials and challenges to create a unique and personalized playlist for every
user a unique and personalized playlist. Machine learning and algorithms are used for this purpose,
which adapts to individual users.

## Data Understanding
  
__Data Frame__: popularity  
__Source__: https://www.kaggle.com/yamaerenay/spotify-dataset-19212020-160k-tracks  
__Data Creator__: Spotify  
__Date of Publication__: 2020  
__Data Type__: CSV  
__Description of Data Frame__: The dataset consists of different song properties, such as component, release year and many more.   
__Number of features__: 19  
__number of targets__: 1  
__Data type per feature__: integer

## Data Preparation
  
__Dimensionality Reduction__: Attributes that do not add value or are not significant are removed  
__Outlier__:  
__Missing Data__:  
__Unbalanced Data__:  
__Data Conversion__: Coding the categorical features  
__Distribution Function__: StandardScaler

## Modelling and Evaluation
  
__Algorithms__: Lineare Degression  
__Hyperparameter__:  
__Output__: supervised learning, classification  
__Data Split__: 80% train data, 20% test data   
__Evaluation Metrics__: train performance: 0.42002501021526495; test performance: 0.4207911441145905

## Deployment
  
__Service__: Generation of an individual list  
__Target Group__: spotify users  
__Benefits__: Through this service, an individual, specific playlist can be created for each Spotify user, which helps to retain customers  
__Integration__:

# German Version

## Geschäftsverständnis
  
__Konzern__: Spotify  
__Industrie__: Musik  
__Anwendungsbereich__: Generierung einer Musikplaylist  
__Beschreibung__: Das Unternehmen Spotify möchte mit dem Einsatz von KI wichtige Potenziale und Herausforderungen nachgehen, um für jeden
Benutzer eine einzigartige und personalisierte Wiedergabeliste zu erstellen. Hierbei werden maschinelles Lernen und Algorithmen eingesetzt,
welche sich an individuelle Nutzer anpasst.  
__Lösung__: na 

## Datenverständnis
  
__Datenrahmen__: Popularität    
__Quelle__: https://www.kaggle.com/yamaerenay/spotify-dataset-19212020-160k-tracks  
__Datenersteller__: Spotify   
__Veröffentlichungsdatum__: 2020  
__Datentyp__: CSV       
__Beschreibung des Datenrahmens:__ Der Datensatz besteht aus unterschiedlichen Songeigenschaften, wie Komponent, Erscheinungsjahr und viele weitere.   
__Anzahl der Attribute__: 19  
__Anzahl der Zielvariablen__: 1    
__Datentyp pro Attribut__:   
__Datentyp pro Zielvariable:__ integer
  
__Standortparameter:__    
__Verteilungsparameter:__    
__Korrelationsanalyse:__  

## Datenaufbereitung
  
__Dimensionsreduktion__: Attribute, die keinen Mehrwert bieten oder nicht signifikant sind, werden entfernt.    
__Ausreißer__:  
__Fehlende Daten__:  
__Unausgeglichene Daten__:    
__Datenkonvertierung__: Kodierung der kategorialen Merkmale.   
__Verteilungsfunktion__: StandardScaler  
__Funktionsskalierung__:  
__Multikollinearität__:  

## Modellierung und Auswertung
  
__Algorithmen__: Lineare Degression  
__Hyperparameter__:    
__Ausgabe__: supervised learning, classification  
__Datenaufteilung__: 80% Trainingsdaten, 20% Testdaten  
__Bewertungsmetriken__: Trainingsperformance: 0.42002501021526495; Testperformance: 0.4207911441145905  
__Weitere Informationen__:  

## Bereitstellung
  
__Service__: Generierung einer individuellen Liste  
__Zielgruppe__: Spotify Nutzer  
__Leistungen__: Durch diesen Service kann für jeden Spotify Nutzer eine individuelle, spezifische Wiedergabeliste erstellt werden, wodurch die Kunden gebunden werden können  
__Integration__: 
